internal class Program
{
    static void unos(int[] h, int n)
    {
        string a = Console.ReadLine();
        string[] stringovi = a.Split(' ');
        for (int i=0; i<n; i++)
        {
            h[i] = int.Parse(stringovi[i]);
        }
    }
    static void ispitivanje(int[] h, int n, int l)
    {
        int indeks = 0;
        for(int i=0; i<n; i++)
        {
            if (l < h[i])
                indeks = i + 1;
            if (l >= h[i])
            {
                indeks = i + 1;
                break;
            }
            if (indeks == n)
                indeks = -1;
        }
        Console.WriteLine(indeks);
    }
        
      
    private static void Main(string[] args)
    {
        string ulaz = Console.ReadLine();
        var brojevi = ulaz.Split(' ');
        int n = Convert.ToInt32(brojevi[0]);
        int l = Convert.ToInt32(brojevi[1]);
        int[] h=new int[n];
        unos(h, n);
        ispitivanje(h, n, l);

    }
}